UpdateAlertSilenceRule
Update an existing silence rule
PUT
/api/v1/alerting/silence-rules/{ruleUuid}Operation ID
UpdateAlertSilenceRuleSince
1.0.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
ruleUuidStringRequiredUnique UUID of the alert silence rule
Body Fields
nameStringUpdated silence rule name
Example: Maintenance Window Q1
descriptionStringDescription for this resource
Example: A brief description
matchersListMatchers for this resource
Example: (nested array)
keyStringWhitelisted alert label key to match
Example: severity
operatorStringMatch operator: eq, neq, or regex
Example: eq
valueStringValue used by the selected operator
Example: critical
startsAtStringStarts at for this resource
Example: 2026-01-15T08:00:00Z
endsAtStringEnds at for this resource
Example: 2026-01-15T08:00:00Z
